Bug 1363787 - RFE: virtio-vsock support for OpenStack Manila
RFE: virtio-vsock support for OpenStack Manila
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila (Show other bugs)
13.0 (Queens)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Tom Barron
Dustin Schoenbrun
Don Domingo
: FutureFeature
: 1415819 (view as bug list)
Depends On: 1291286 1291851 1294880 1294884 1378137 1427553 1479877 1518995 1518996 1291282 1291284 1382695 1464362 1464390 1470203 1470219 1518997
Blocks: 1415819
  Show dependency treegraph
 
Reported: 2016-08-03 10:43 EDT by Sayan Saha
Modified: 2018-07-26 15:17 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1415819 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayan Saha 2016-08-03 10:43:48 EDT
This is a high level RFE explaining the need for virtio-vsock enablement in RHEL. This RFE will also serve as a tracker for all the virtio-vsock related work that needs to happen and is being requested from the broader team.

The motivation for this originates with CephFS and OpenStack Manila. In an openstack environment, we already have Ceph RBD + Cinder for exposing images to VMs directly.  The need we have is specifically for dynamically provisioned shared filesystems.  We think the best way for us to expose CephFS to OpenStack guest VMs is by running the ceph client on the hypervisor (inside an nfs ganesha daemon), and exposing the filesystem into the guest via NFS over VSOCK.  Compared with using TCP/IP NFS gateways, the key advantages are:
 * Security: guests don't need any extra TCP/IP connectivity to access the shared filesystem
 * Simplicity: we don't have to spin up HA pairs of virtual machines to act as NFS gateways to virtual machines
 * Scalability: rather than having to independently scale a cluster of NFS servers for accessing the Ceph filesystem, we get a natural scaling as we have one NFS server per hypervisor.

Sage's talk from openstack summit talks about the pros and cons of various approaches:
https://www.youtube.com/watch?v=dNTCBouMaAU ("Better FS plumbing" from 18:50)

There's a thread here which brings together the various components of this (Bruce, you were CC'd):
http://www.spinics.net/lists/ceph-devel/msg26797.html
Comment 4 Ademar Reis 2017-08-04 10:57:24 EDT
I'm adding all RHEL BZs related to virtio-vsock to this tracker. Some of them are nice-to-have features (such as support for vsock in Wireshark, useful for troubleshooting).
Comment 5 Tom Barron 2017-09-07 17:27:14 EDT
*** Bug 1415819 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.